<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [extendFormatterConfig](#extendformatterconfig)
-   [format](#format)
-   [mobileDetection](#mobiledetection)
    -   [isAndroid](#isandroid)
    -   [isBlackBerry](#isblackberry)
    -   [isIOS](#isios)
    -   [isOpera](#isopera)
    -   [isWindows](#iswindows)
    -   [isWeixin](#isweixin)
    -   [any](#any)

## extendFormatterConfig

[src/dataFormat.js:41-43](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/dataFormat.js#L41-L43 "Source code on GitHub")

扩展FormatterConfig配置

**Parameters**

-   `config` **[Object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object)?**  (optional, default `{}`)

**Examples**

_simple_

```javascript
import {dataFormat} from 'js-helper'
const {extendFormatterConfig,format}=dataFormat;
extendFormatterConfig({
	prefix$:function(value){
		return '$'+value;
	}
})

const formattedValue=format(1,'prefix$');	// output `$1`
```

_pass parameter_

```javascript
import {dataFormat} from 'js-helper'
const {extendFormatterConfig,format}=dataFormat;
extendFormatterConfig({
	prefix:function(value,prefix){
		return prefix+value;
	}
})

const formattedValue=format(1,['prefix','$'])	// output `$1`
```

Returns **void** 

## format

[src/dataFormat.js:52-83](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/dataFormat.js#L52-L83 "Source code on GitHub")

数据格式化

**Parameters**

-   `value` **any** 
-   `formatter` **([String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)? | [Function](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/function)? | [Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array)?)** 
-   `placeholder` **[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)?**  (optional, default `"N/A"`)

**Examples**

_format money_

```javascript
import {dataFormat} from 'js-helper'
const formattedValue=dataFormat.format(10000,'money')	//output 1,000.00
```

Returns **[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** 

## mobileDetection

[src/mobileDetection.js:8-51](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L8-L51 "Source code on GitHub")

**Examples**

```javascript
import {mobileDetection} from 'js-helper'
const isAndroid=mobileDetection.isAndroid();
```

### isAndroid

[src/mobileDetection.js:12-14](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L12-L14 "Source code on GitHub")

是否是android

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isBlackBerry

[src/mobileDetection.js:18-20](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L18-L20 "Source code on GitHub")

是否是黑莓

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isIOS

[src/mobileDetection.js:24-26](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L24-L26 "Source code on GitHub")

是否是ios

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isOpera

[src/mobileDetection.js:30-32](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L30-L32 "Source code on GitHub")

是否是opera

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isWindows

[src/mobileDetection.js:36-38](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L36-L38 "Source code on GitHub")

是否是windows

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isWeixin

[src/mobileDetection.js:42-44](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L42-L44 "Source code on GitHub")

是否是微信

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### any

[src/mobileDetection.js:48-50](https://github.com/m860/js-helper/blob/9dfb60016a9d643b65e5f4317223ddd7275483ad/src/mobileDetection.js#L48-L50 "Source code on GitHub")

是否是mobile

Returns **[Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 
